Bug 835823 - Review Request: python-lettuce - Behaviour Driven Development for Python
Review Request: python-lettuce - Behaviour Driven Development for Python
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 04:19 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-07-13 04:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 04:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-06-27 04:19:05 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/lettuce/python-lettuce.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/lettuce/python-lettuce-0.2.4-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4199531
Description: Lettuce is a Behavior Driven Development tool for Python, 100%% inspired on Cucumber - BDD with elegance and joy.
Fedora Account System Username: bkabrda
Comment 1 Matthias Runge 2012-06-27 05:00:12 EDT
Some small comments:

According to https://github.com/gabrielfalcao/lettuce
license is GPLv3+ and latest version is 0.2.5
Comment 2 Bohuslav "Slavek" Kabrda 2012-06-27 05:50:42 EDT
Thanks.

I was working on the package quite some time so I didn't notice the newest version; I fixed the license (I guess I'm relying on pyp2rpm too much...), and also URL.

Here are updated SPEC and SRPM:

SPEC: http://bkabrda.fedorapeople.org/pkgs/lettuce/python-lettuce.spec
SRPM: http://bkabrda.fedorapeople.org/pkgs/lettuce/python-lettuce-0.2.5-1.fc17.src.rpm
Comment 3 John Morris 2012-06-28 18:52:37 EDT
Hi Bohuslav,

There's no 'python-django' package in Fedora.  Did you mean 'Django'?

Once python-fuzzywuzzy and python-sure make it into the testing repos I'll give it another whirl.
Comment 4 Bohuslav "Slavek" Kabrda 2012-06-29 01:29:50 EDT
(In reply to comment #3)
> Hi Bohuslav,
> 
> There's no 'python-django' package in Fedora.  Did you mean 'Django'?
> 

Yes, it is. Django has been renamed to python-django beginning with F18 - see https://fedorahosted.org/fpc/ticket/146.

> Once python-fuzzywuzzy and python-sure make it into the testing repos I'll
> give it another whirl.

I thing Matthias may have wanted to take this review, but I think he won't mind if you take it.
Thanks.
Comment 5 Matthias Runge 2012-06-29 02:30:23 EDT
Yepp, taking this one.

John, 

I guess (I'm nearly 100% sure), Slavek is targeting towards F18; python-fuzzywuzzy and python-sure are built and pushed to rawhide (currently the same as f18)
Comment 6 Bohuslav "Slavek" Kabrda 2012-06-29 02:36:20 EDT
(In reply to comment #5)
> Yepp, taking this one.
> 
> John, 
> 
> I guess (I'm nearly 100% sure), Slavek is targeting towards F18;
> python-fuzzywuzzy and python-sure are built and pushed to rawhide (currently
> the same as f18)

Yes, exactly.
John, if you wish to use lettuce in F17 or below (or EPEL), I can make some modifications to the specfile, so that it works with "Django" package - drop me a line, if you want that.
Comment 7 John Morris 2012-06-29 03:13:31 EDT
Hi Bohuslav,

I was shooting around to do an informal review, since I'm learning the ropes around here, and thought this package looked cool.  Don't do anything special for me, but I'll be keeping an eye on this package.  Appreciate the kind offer!
Comment 8 Bohuslav "Slavek" Kabrda 2012-06-29 04:17:26 EDT
(In reply to comment #7)
> Hi Bohuslav,
> 
> I was shooting around to do an informal review, since I'm learning the ropes
> around here, and thought this package looked cool.  Don't do anything
> special for me, but I'll be keeping an eye on this package.  Appreciate the
> kind offer!

Sure, watch and learn, Matthias does good reviews. If you need any help/guidance with Fedora packaging, feel free to ask. Commenting reviews and asking others is for sure the best way to learn reviewing.
Comment 9 Matthias Runge 2012-06-29 05:12:43 EDT
Naa! 

Slavek produces high quality packages making it very easy for me to review. 


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-lettuce-0.2.5-1.fc18.src.rpm

python-lettuce.src: W: spelling-error Summary(en_US) Behaviour -> Behavior
python-lettuce.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 15)
python-lettuce.src: W: invalid-url Source1: lettuce-0.2.5-tests.tgz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-lettuce-0.2.5-1.fc18.noarch.rpm

python-lettuce.noarch: W: spelling-error Summary(en_US) Behaviour -> Behavior
python-lettuce.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/lettuce/bin.py 0644L /usr/bin/env
python-lettuce.noarch: W: no-manual-page-for-binary lettuce
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/835823/lettuce-0.2.5.tar.gz :
  MD5SUM this package     : 2352c761aa34423b773a104810201f15
  MD5SUM upstream package : 2352c761aa34423b773a104810201f15

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-lettuce-0.2.5-1.fc18.src.rpm

python-lettuce.src: W: spelling-error Summary(en_US) Behaviour -> Behavior
python-lettuce.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 15)
python-lettuce.src: W: invalid-url Source1: lettuce-0.2.5-tests.tgz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-lettuce-0.2.5-1.fc18.noarch.rpm

python-lettuce.noarch: W: spelling-error Summary(en_US) Behaviour -> Behavior
python-lettuce.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/lettuce/bin.py 0644L /usr/bin/env
python-lettuce.noarch: W: no-manual-page-for-binary lettuce
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

- you should fix that warning: python-lettuce.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 15) (can be done during import)
- you definitely should change python-lettuce.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/lettuce/bin.py 0644L /usr/bin/env 
I guess, you could solve that during import, too ;-)
(John, this is normally a blocker, but because I know Bohuslav and because I'm he'll fix this issue before importing into SCM, I'll approve this package now.)

Package is  APPROVED
Comment 10 Bohuslav "Slavek" Kabrda 2012-06-29 05:16:20 EDT
Thanks for review Matthias, I'll for sure fix the mentioned issues before comitting.


New Package SCM Request
=======================
Package Name: python-lettuce
Short Description: Behaviour Driven Development for Python
Owners: bkabrda
Branches: 
InitialCC:
Comment 11 Gwyn Ciesla 2012-06-29 08:25:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.